Authentication

Generated on 18 Mar 2026

Base URL https://api.paperspace.com/v1

GET Get the current session

/auth/session
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Get the current session. If a user is not logged in, this will be null. Otherwise, it will contain the current team and user.

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/auth/session"

Responses

200

Successful response

team object required
Show child properties
analyticsId number required

An internal, numeric ID for the team

id string required

A unique ID for the team

isPrivate boolean required

Whether the team is private or not

maxMachines number required

The maximum number of machines

namespace string required

The namespace for the team

user object required
Show child properties
analyticsId number required

An internal, numeric ID for the user

dtConfirmed string (date-time) required Nullable

The date the account was confirmed

dtCreated string (date-time) required

The date the user was created

email string required

The user's email address

firstName string required Nullable

The user's first name

id string required

A unique ID for the user

isPasswordAuthEnabled boolean required

Whether the user has a password set

isPhoneVerified boolean required

Whether the user's phone number has been verified

isQrCodeBasedMfaConfirmed boolean required

Whether the user has a QR code based MFA confirmed

isQrCodeBasedMfaEnabled boolean required

Whether the user has a QR code based MFA enabled

lastName string required Nullable

The user's last name

metadata object required

Metadata about the user

Show child properties
coreSurvey object optional Nullable

Core survey question-answer pairs

Show child properties
(additional properties) string optional

Additional properties are allowed.

gradientSurvey object optional Nullable

Gradient survey question-answer pairs

Show child properties
(additional properties) string optional

Additional properties are allowed.

graphcoreTermsAccepted boolean optional

Whether the user has accepted the Graphcore terms of service

tags string optional Nullable

Tags for the user

preferences object optional Nullable

The user's preferences

Show child properties
defaultProduct string optional Nullable
defaultTeamId string optional Nullable
disableHotkeys boolean optional Nullable
fontSize number optional Nullable
theme string, one of: light, dark optional Nullable
teamMemberships array of object required

The teams this user is a member of

Show child properties
isAdmin boolean required

Whether the user is an admin of the team

isOwner boolean required

Whether the user is the owner of the team

team object required

The team the user is a member of

Show child properties
dtCreated string (date-time) required

The date the team was created

id string required

The ID of the team

isUserTeam boolean required

Whether the team is the user's team

name string required

The name of the team

namespace string required

The namespace of the team

publicProfileImageUrl string optional Nullable

The URL of the team's profile image.

default

Error response

code string required
details object optional
message string required
{
  "team": {
    "analyticsId": 0,
    "id": "string",
    "isPrivate": true,
    "maxMachines": 0,
    "namespace": "string"
  },
  "user": {
    "analyticsId": 0,
    "dtConfirmed": "2019-08-24T14:15:22Z",
    "dtCreated": "2019-08-24T14:15:22Z",
    "email": "string",
    "firstName": "string",
    "id": "string",
    "isPasswordAuthEnabled": true,
    "isPhoneVerified": true,
    "isQrCodeBasedMfaConfirmed": true,
    "isQrCodeBasedMfaEnabled": true,
    "lastName": "string",
    "metadata": {
      "graphcoreTermsAccepted": false,
      "tags": "string"
    },
    "preferences": {
      "defaultProduct": "string",
      "defaultTeamId": "string",
      "disableHotkeys": true,
      "fontSize": 0,
      "theme": "light"
    },
    "teamMemberships": []
  }
}
{
  "code": "string",
  "message": "string"
}

We can't find any results for your search.

Try using different keywords or simplifying your search terms.